# company_gui.h File Reference

GUI Functions related to companies. More...

`#include "company_type.h"`

Go to the source code of this file.

## Functions
uint16 | GetDrawStringCompanyColour (CompanyID company)
void | DrawCompanyIcon (CompanyID c, int x, int y)
void | ShowCompanyStations (CompanyID company)
| Opens window with list of company's stations.
void | ShowCompanyFinances (CompanyID company)
| Open the finances window of a company.
void | ShowCompany (CompanyID company)
void | InvalidateCompanyWindows (const Company *c)
void | DeleteCompanyWindows (CompanyID company)
| Delete all windows of a company.

## Detailed Description

GUI Functions related to companies.

Definition in file company_gui.h.

## Function Documentation

void DeleteCompanyWindows | ( | CompanyID | id | ) |

Delete all windows of a company.

We identify windows of a company by looking at the caption colour. If it is equal to the company ID then we say the window belongs to the company and should be deleted

Parameters:

  | id | company identifier

Definition at line 707 of file window.cpp.

References DeleteWindowById(), and Window::owner.

Referenced by CmdCompanyCtrl().

void ShowCompanyFinances | ( | CompanyID | company | ) |

Open the finances window of a company.

Parameters:

  | company | Company to show finances of.

Precondition:
  is company a valid company.

Definition at line 486 of file company_gui.cpp.

References BringWindowToFrontById(), and Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID().

Referenced by StatusBarWindow::OnClick(), and MainToolbarWindow::OnKeyPress().

void ShowCompanyStations | ( | CompanyID | company | ) |

Opens window with list of company's stations.

Parameters:

  | company | whose stations' list show

Definition at line 810 of file station_gui.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID().

Referenced by MainToolbarWindow::OnKeyPress().